package com.jiayue.ipp.common.data.enums.an;


import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * modbus数据类型的枚举
 *
 * @author: yh
 */
@AllArgsConstructor
public enum ModbusDataTypeEnum {


	/**
	 * modbus 各种类型
	 */
	A16(1),
	/*AB 的modbus 2 字节 无符号 整型数据*/
	P_AB(1),
	/*BA 的modbus 2 字节 无符号 整型数据*/
	P_BA(1),
	/*AB 的modbus 2 字节 有符号 整型数据*/
	PM_AB(1),
	/*BA 的modbus 2 字节 有符号 整型数据*/
	PM_BA(1),
	/*AABB 的modbus 4 字节 无符号 整型数据*/
	P_ABCD(2),
	/*BBAA 的modbus 4 字节 无符号 整型数据*/
	P_CDAB(2),
	/*AABB 的modbus 4 字节 有符号 整型数据*/
	PM_ABCD(2),
	/*BBAA 的modbus 4 字节 有符号 整型数据*/
	PM_CDAB(2),
	/*ABCD 的modbus 4 字节  浮点数据*/
	ABCD(2),
	/*BADC 的modbus 4 字节  浮点数据*/
	BADC(2),
	/*CDAB 的modbus 4 字节  浮点数据*/
	CDAB(2),
	/*DCBA 的modbus 4 字节  浮点数据*/
	DCBA(2),
	/*COIL_AB  寄存器传线圈  */
	COIL_AB(1),
	/*COIL 线圈  1代表 1位 */
	COIL(1)
		;
	/**
	 * 占据寄存器数量
	 */
	@Getter
	private Integer occupiedRegister;




}
